Bug 1185514 (CVE-2014-9649) - CVE-2014-9649 RabbitMQ: /api/... XSS vulnerability
Summary: CVE-2014-9649 RabbitMQ: /api/... XSS vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-9649
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1185516 1185517 1304946 1304947 1304948 1304949 1304950
Blocks: 1185513
TreeView+ depends on / blocked
 
Reported: 2015-01-24 05:14 UTC by Kurt Seifried
Modified: 2019-10-10 09:34 UTC (History)
25 users (show)

Fixed In Version: rabbitmq-server-3.5.1-1.fc22
Doc Type: Bug Fix
Doc Text:
A cross-site scripting vulnerability was discovered in RabbitMQ, which allowed using api/ path info to inject and receive data. A remote attacker could use this flaw to create an "/api/..." URL, forcing a server error that resulted in the server returning an HTML page with embedded text from the URL (not escaped).
Clone Of:
Environment:
Last Closed: 2016-03-08 23:39:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0308 normal SHIPPED_LIVE Moderate: rabbitmq-server security and bugfix update 2016-02-29 10:09:51 UTC
Red Hat Product Errata RHSA-2016:0367 normal SHIPPED_LIVE Moderate: rabbitmq-server security and bugfix update 2016-03-09 03:53:02 UTC
Red Hat Product Errata RHSA-2016:0368 normal SHIPPED_LIVE Moderate: rabbitmq-server security update 2016-03-09 03:52:54 UTC
Red Hat Product Errata RHSA-2016:0369 normal SHIPPED_LIVE Moderate: rabbitmq-server security and bug fix update 2016-03-09 03:52:44 UTC

Description Kurt Seifried 2015-01-24 05:14:10 UTC
26437 prevent /api/* from returning text/html error messages which could act as an XSS vector (since 2.1.0) 

Bug 26437 allowed an attacker to create a URL to "/api/..." which would 
provoke an internal server error, resulting in the server returning an 
html page with text from the URL embedded and not escaped. This was 
fixed by ensuring all URLs below /api/ only ever return responses with a 
content type of application/json, even in the case of an internal server 
error. 

Upstream patches:
http://hg.rabbitmq.com/rabbitmq-web-dispatch/rev/caf3d0a80cf3

References:
https://groups.google.com/forum/#!topic/rabbitmq-users/-3Z2FyGtXhs

Comment 1 Kurt Seifried 2015-01-24 05:16:24 UTC
Created rabbitmq-server tracking bugs for this issue:

Affects: fedora-all [bug 1185516]
Affects: epel-all [bug 1185517]

Comment 2 Peter Lemenkov 2015-10-23 21:17:49 UTC
Both this and corresponding bug 1185515 were addressed in RabbitMQ 3.4.1. We already ship ver. 3.5.x, so this issue is already fixed in Fedora 22+.

As for Fedora 21 users, we strongly advise users to upgrade to F22 or to the upcoming F23.

Comment 3 Peter Lemenkov 2015-10-23 21:23:01 UTC
Reopening - unfortunately it still not fixed for EPEL7.

Comment 4 Fedora Update System 2015-11-21 14:25:30 UTC
rabbitmq-server-3.3.5-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2016-02-29 05:10:28 UTC
This issue has been addressed in the following products:

  OpenStack 6 for RHEL 7

Via RHSA-2016:0308 https://rhn.redhat.com/errata/RHSA-2016-0308.html

Comment 10 errata-xmlrpc 2016-03-08 22:54:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 7

Via RHSA-2016:0369 https://rhn.redhat.com/errata/RHSA-2016-0369.html

Comment 11 errata-xmlrpc 2016-03-08 22:55:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 6

Via RHSA-2016:0368 https://rhn.redhat.com/errata/RHSA-2016-0368.html

Comment 12 errata-xmlrpc 2016-03-08 22:55:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2016:0367 https://rhn.redhat.com/errata/RHSA-2016-0367.html


Note You need to log in before you can comment on or make changes to this bug.